This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 11684 - step 10: the body element isn't defined as sectioning content, so heading will always be null
Summary: step 10: the body element isn't defined as sectioning content, so heading wil...
Status: RESOLVED FIXED
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-06 18:41 UTC by contributor
Modified: 2012-07-18 18:46 UTC (History)
3 users (show)

See Also:


Attachments

Description contributor 2011-01-06 18:41:57 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/links.html
Section: http://www.whatwg.org/specs/web-apps/current-work/complete.html#atom

Comment:
step 10: the body element isn't defined as sectioning content, so heading will
always be null

Posted from: 81.234.240.182 by philip@foolip.org
Comment 1 Philip J├Ągenstedt 2011-01-06 18:44:05 UTC
Sectioning content as defined by <http://www.whatwg.org/specs/web-apps/current-work/multipage/content-models.html#sectioning-content> does not include body: article, aside, nav, section
Comment 2 Ian 'Hixie' Hickson 2011-02-07 23:32:36 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Concurred with reporter's comments.
Comment 3 contributor 2011-02-07 23:32:47 UTC
Checked in as WHATWG revision r5842.
Check-in comment: Atom conversion: fix the way to get the blog heading to actually work.
http://html5.org/tools/web-apps-tracker?from=5841&to=5842